package com.yihu.hos.services;

import com.yihu.hos.common.Services;
import com.yihu.hos.datacollect.service.intf.IDatacollectService;
import com.yihu.hos.web.framework.constrant.DateConvert;
import com.yihu.hos.web.framework.util.springutil.SpringBeanUtil;

import java.util.Date;

/**
 * Created by hzp on 2016/2/2.
 */
public class DatacollectJob implements IBaseJob {


    @Override
    public void execute(String jobId) throws Exception{
        IDatacollectService service = SpringBeanUtil.getService(Services.DatacollectService);
        service.executeJob(jobId);
        System.out.println(DateConvert.toString(new Date()) + " 采集任务：" + jobId);
        return;
    }


}
